<template>
  <div class="question">
    <div class="jg"></div>
        <!-- 内容区域 -->
    <xhcontent :bodyList="bodyList" :titleN="titleN" :title="title" :titleEN="titleEN">
      <!-- 子路由 -->
      <router-view></router-view>
    </xhcontent>
  </div>
</template>

<script>
// @ is an alias to /src
import { article_info } from "../request/api";

import Xhcontent from "../components/xhcontent";

export default {
  name: "question",
  metaInfo: {
    title: "专家智库",
  },
  components: {
    Xhcontent
  },
  filters: {
    content(data) {
      return data.replace("<p>", '<p class="list">');
    },
  },
  data() {
    return {
      info: {},
      list: {},
      bodyList: [{ title: "专家智库", path: "qinfo" }],
      titleN: 'Z',
      title: '专家智库',
      titleEN: 'Expert think tank'
    };
  },
  created() {
    article_info({}, 14).then(({ data }) => {
      this.info = data.data;
    });
    article_info({}, 40).then(({ data }) => {
      this.list = data.data;
    });
  },
};
</script>


<style lang="scss" scoped>
.jg {
  height: 10px;
}
</style>
